import request from "@/utils/request";

// 确定仲裁方式
export function arbitrateMethod(data,id) {
  return request({
    url: "/arbitrate/method",
    method: "put",
    params:data,
    data: id,
  });
}
// 书面审理
export function writtenHear(data) {
  return request({
    url: "/arbitrate/writtenHear",
    method: "post",
    data: data,
  });
}
// 生成庭审笔录
export function creatTrialRecord(data) {
  return request({
    url: "/caseApplication/creatTrialRecord",
    method: "post",
    data: data,
  });
}
// 组庭确认
export function pendTralSure(data) {
  return request({
    url: "/caseApplication/pendTralSure",
    method: "post",
    data: data,
  });
}
// 立案审查
export function submitCaseApplicationCheck(data) {
  return request({
    url: "/caseApplication/submitCaseApplicationCheck",
    method: "post",
    data: data,
  });
}
// 生成裁决书
export function document(data) {
  return request({
    url: "/adjudication/document",
    method: "post",
    data: data,
  });
}
// 案件证据上传
export function evidenceUpload(data) {
  return request({
    url: "/evidence/upload",
    method: "post",
    data: data,
  });
}
// 案件日志列表查询
export function caseLogRecordList(data) {
  return request({
    url: "/caseLogRecord/list",
    method: "get",
    params: data,
  });
}
// 案件证据查询
export function getFileList(data) {
  return request({
    url: "/evidence/fileList",
    method: "get",
    params: data,
  });
}
//案件状态进度
export function selectCaseProgress(data) {
  return request({
    url: "/caseApplication/selectCaseProgress",
    method: "post",
    data: data,
  });
}
// 批量上传证据
export function batchUpload(data) {
  return request({
    url: "/evidence/batchUpload",
    method: "post",
    data: data,
  });
}
// 修改开庭时间
export function updateHeardate(data) {
  return request({
    url: "/caseApplication/updateHeardate",
    method: "post",
    data: data,
  });
}
// 案件快递信息查询 
export function logistics(data) {
  return request({
    url: "/adjudication/logistics",
    method: "get",
    params: data,
  })
}
// 申请人撤销修改
export function revoke(data) {
  return request({
    url: "/caseApplicationLog/revoke",
    method: "post",
    data: data,
  })
}
// 秘书审核修改
export function updateAudit(data) {
  return request({
    url: "/caseApplicationLog/updateAudit",
    method: "post",
    data: data,
  })
}
// 查询案件对比信息
export function selectCompareCase(data) {
  return request({
    url: "/caseApplicationLog/selectCompareCase",
    method: "post",
    data: data,
  })
}


